> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/form.md).

# Form

This object contains the following attributes:

<table data-search="false"><thead><tr><th width="161">Field</th><th width="136">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string, <a data-footnote-ref href="#user-content-fn-1">core</a></td><td><p>A unique identifier for the form. </p><p>Example: FRM-1234-4567</p></td></tr><tr><td><code>revision</code></td><td>unit, core</td><td>(Read-only) Represents the revision number (used for platform-level versioning).</td></tr><tr><td><code>name</code></td><td>string, core</td><td><p>A descriptive name for the form. </p><p>Example: User report</p></td></tr><tr><td><code>description</code></td><td>string, core</td><td><p>A description of the form. </p><p>Example: Form to support billing issues</p></td></tr><tr><td><code>status</code></td><td>string, core</td><td>The current state of the form. Allowed values are <code>published</code> or <code>unpublished</code>.</td></tr><tr><td><code>parameterGroups</code></td><td>object</td><td><p>(Optional) Represents <a href="/pages/ckQyVHbe21Sm909XLJcz#orderedparametergroup-object"><code>orderedParameterGroup</code></a> containing parameters of the form. </p><p>Example:</p><pre class="language-json" data-overflow="wrap" data-line-numbers><code class="lang-json">[
  {
    parameterGroup: {
      "id": "PGR-6790-8304-0001",   
      "title": "Parameters",
      "label": "Create agreement",
      "description": "When creating a new agreement with SoftwareOne, you can establish a new Microsoft account or connect an existing one."
    },
    displayOrder: 100
  }
]
</code></pre></td></tr><tr><td><code>account</code></td><td>object, core</td><td>The <a href="/pages/tq2fdEq8olL6Ahrf4HVR"><code>account</code></a> that owns the form. </td></tr><tr><td><code>audit</code></td><td>object</td><td>(Read-only) Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object.</td></tr></tbody></table>

[^1]: **Core** indicates the field is part of the base object schema. This is not the same as “required”.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/form.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
